Package net.shibboleth.shared.spring.factory

# Class PatternFactoryBean

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<T>
net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean<Pattern>
net.shibboleth.shared.spring.factory.PatternFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<Pattern>`, `InitializingBean`

public class PatternFactoryBean extends AbstractComponentAwareFactoryBean<Pattern>
Factory bean for `Pattern`. Allows us to inject property based case sensitivity.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`caseSensitive`
Whether the we are case sensitive or not.
`private String`
`regexp`
The regular expressions.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`PatternFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`protected Pattern`
`doCreateInstance()`
Call the parent class to create the instance.
`String`
`getCaseSensitive()`
Get case sensitivity.
`Class<?>`
`getObjectType()`
This abstract method declaration mirrors the method in the FactoryBean interface, for a consistent offering of abstract template methods.
`String`
`getRegexp()`
Get the regular expression.
`void`
`setCaseSensitive(String what)`
Set case sensitivity.
`void`
`setRegexp(String what)`
Set the regular expression.

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean

`createInstance, destroyInstance, setThrowIfNull`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### caseSensitive

@Nullable private String caseSensitive
Whether the we are case sensitive or not.

### regexp

@Nullable private String regexp
The regular expressions.

## Constructor Details

### PatternFactoryBean

public PatternFactoryBean()

## Method Details

### getObjectType

@Nonnull public Class<?> getObjectType()
This abstract method declaration mirrors the method in the FactoryBean interface, for a consistent offering of abstract template methods.

Specified by:
  `getObjectType` in interface `FactoryBean<Pattern>`
Specified by:
  `getObjectType` in class `AbstractFactoryBean<Pattern>`
See Also:
  - `FactoryBean.getObjectType()`

### getCaseSensitive

@Nullable public String getCaseSensitive()
Get case sensitivity.

Returns:
  the case sensitivity

### setCaseSensitive

public void setCaseSensitive(@Nullable String what)
Set case sensitivity.

Parameters:
  `what` - value to set

### getRegexp

@Nullable public String getRegexp()
Get the regular expression.

Returns:
  the regexp

### setRegexp

public void setRegexp(@Nullable String what)
Set the regular expression.

Parameters:
  `what` - what to set

### doCreateInstance

@Nonnull protected Pattern doCreateInstance() throws Exception
Call the parent class to create the instance.

Specified by:
  `doCreateInstance` in class `AbstractComponentAwareFactoryBean<Pattern>`
Returns:
  the bean.
Throws:
  `Exception` - if needed.